LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### compute temp/asphere command

Syntax:

    compute ID group-ID temp/asphere

- ID, group-ID are documented in compute command
- temp/asphere = style name of this compute command

Examples:

    compute 1 all temp/asphere
    compute myTemp mobile temp/asphere

Description:

Define a computation that calculates the temperature of a group of aspherical or ellipsoidal particles. The computation is similar to compute_temp, however, additional degrees of freedom (2 or 3) are incorporated for particles where the principal moments of inertia are unequal. The associated kinetic energy thus includes a rotational term KE_rotational = 1/2 I w^2, where I is the moment of inertia and w is the angular velocity.

Restrictions:

Can only be used if LAMMPS was built with the "asphere" package.

Related commands:

compute temp

Default: none